Index: tool/travis.sh |
diff --git a/tool/travis.sh b/tool/travis.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..5afae3cbe342dfa567107141bb7488030dcca1f2 |
--- /dev/null |
+++ b/tool/travis.sh |
@@ -0,0 +1,16 @@ |
+#!/bin/bash |
+ |
+# Copyright (c) 2015, the Dart project authors. Please see the AUTHORS file |
+# for details. All rights reserved. Use of this source code is governed by a |
+# BSD-style license that can be found in the LICENSE file. |
+ |
+# Fast fail the script on failures. |
+set -e |
+ |
+# Verify that the libraries are error free. |
+dartanalyzer --fatal-warnings \ |
+ lib/sample.dart \ |
+ test/all_test.dart |
+ |
+# Run the tests. |
+pub run test |